2008-03-19 05:29:13     dhcp-isc doesn't compile with new uClinux_2008R1

Document created by Aaronwu Employee on Aug 5, 2013
Version 1Show Document
  • View in full screen mode

2008-03-19 05:29:13     dhcp-isc doesn't compile with new uClinux_2008R1

Andrea Federico Grisotto (ITALY)

Message: 52748    when I compile dhcp-isc with uClinux_2008R1 and toolchain branch08r1 revision 2200

I have this error:

 

...

...

bfin-linux-uclibc-gcc -pipe -Wall -g    -mcpu=bf537-0.3  -I.. -I../includes -DLINUX_MAJOR=MajorVersion -DLINUX_MINOR=MinorVersion -O2 -DEMBED -D__uClinux__ -I/home/andrea/svn/blackfin/devel/uclinux-dist -mcpu=bf537-0.3  -c -o tr.o tr.c

tr.c:34: error: expected specifier-qualifier-list before ‘__u16’

 

I added in tr.c this line to solve the problem:

 

#include <linux/types.h> /* For __u16 and co. */

QuoteReplyEditDelete

 

 

2008-03-19 09:52:10     Re: dhcp-isc doesn't compile with new uClinux_2008R1

Mike Frysinger (UNITED STATES)

Message: 52754    thanks, ive added your fixes to the tree

Attachments

    Outcomes